Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Storage Accounts - List Sas Tokens
- Service:
- Data Lake Analytics
- API Version:
- 2016-11-01
Gets the SAS token associated with the specified Data Lake Analytics and Azure Storage account and container combination.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataLakeAnalytics/accounts/{accountName}/storageAccounts/{storageAccountName}/containers/{containerName}/listSasTokens?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
accountName
|
path | True |
string |
The name of the Data Lake Analytics account. |
|
containerName
|
path | True |
string |
The name of the Azure storage container for which the SAS token is being requested. |
|
resourceGroupName
|
path | True |
string |
The name of the Azure resource group. |
|
storageAccountName
|
path | True |
string |
The name of the Azure storage account for which the SAS token is being requested. |
|
subscriptionId
|
path | True |
string |
Get subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of Storage Account SAS tokens for the specified Azure Storage account container. |
|
| Other Status Codes |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Gets the SAS token
Sample request
Sample response
- Status code:
- 200
{
"value": [
{
"accessToken": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab346"
}
],
"nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosorg/providers/Microsoft.DataLakeAnalytics/accounts/contosoadla/jobPolicies?api-version=2016-11-01&%24skiptoken=<token>"
}
Definitions
| Name | Description |
|---|---|
| ErrorAdditionalInfo |
The resource management error additional info. |
| ErrorDetail |
The error detail. |
| ErrorResponse |
Error response |
| SasTokenInformation |
SAS token information. |
| SasTokenInformationListResult |
The SAS response that contains the storage account, container and associated SAS token for connection use. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
SasTokenInformation
SAS token information.
| Name | Type | Description |
|---|---|---|
| accessToken |
string |
The access token for the associated Azure Storage Container. |
SasTokenInformationListResult
The SAS response that contains the storage account, container and associated SAS token for connection use.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link (url) to the next page of results. |
| value |
The results of the list operation. |
